#include <bits/stdc++.h>
#define mp make_pair
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define xx first
#define yy second
#define ff(i,s,f) for(int i=s;i<f;i++)
#define fb(i,s,f) for(int i=(s)-1;i>=f;i--)
#define ffi(i,s,f) for(int i=s;i<=f;i++)
#define fbi(i,s,f) for(int i=s;i>=f;i--)
#define srt(a) sort(a.begin(),a.end());
#define srtg(a,int) sort(a.begin(),a.end(),greater<int>())
#define lb(a,x) lower_bound(a.begin(),a.end(),x)
#define ub(a,x) upper_bound(a.begin(),a.end(),x)
#define fnd(a,x) find(a.begin(),a.end(),x)
#define vstart auto startt=chrono::system_clock::now()
#define vend auto endd=chrono::system_clock::now()
#define vvreme chrono::duration<double> vremee=endd-startt
#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0)

using namespace std;

typedef long long ll;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;
typedef string str;

const int maxn=2e5+10;

pair<int,pair<pii,bool> > dp[maxn][15];
str s,t;

void update(pair<int,pair<pii,bool> > &poc,pair<int,pair<pii,bool> > od,int v,int n1,int n2,bool brisao){
    if(od.xx==-1) return;
    if(poc.xx==-1) poc.xx=INT_MAX;
    poc=min(poc,make_pair(v,make_pair(make_pair(n1,n2),brisao)));
}

void rek(pii poz,str &res){
    while(true){
        if(dp[poz.xx][poz.yy].yy.yy) res+='*';
        else res+=s[poz.xx];
        if(poz.xx==0) break;
        poz=dp[poz.xx][poz.yy].yy.xx;
    }
}

void solve(){
	cin>>s>>t;
	for(int i=0;i<t.size();i++) dp[0][i].xx=-1;
	if(t[0]==s[0]){
        dp[0][0]={1,{{0,0},true}};
        dp[0][1]={0,{{0,0},false}};
	}else{
        dp[0][0]={0,{{0,0},false}};
	}
	for(int i=1;i<s.size();i++){
        for(int j=0;j<t.size();j++){
            dp[i][j].xx=-1;
            update(dp[i][j],dp[i-1][j],dp[i-1][j].xx+1,i-1,j,true);
            if(t[j]!=s[i])
                update(dp[i][j],dp[i-1][j],dp[i-1][j].xx,i-1,j,false);
            if(j>0 && t[j-1]==s[i])
                update(dp[i][j],dp[i-1][j-1],dp[i-1][j-1].xx,i-1,j-1,false);
            //cout<<i<<" "<<j<<" "<<dp[i][j].xx<<"\n";
        }
	}
	str res="";
	pair<int,pii> mini={INT_MAX,{0,0}};
	for(int i=0;i<t.size();i++){
        mini=min(mini,make_pair(dp[s.size()-1][i].xx,make_pair((int)s.size()-1,i)));
	}
	rek(mini.yy,res);
	reverse(res.begin(),res.end());
	cout<<mini.xx<<"\n";
	cout<<res;

}

int main(){
    ios;
    int t=1;
    //cin>>t;
    while(t--) solve();
    return 0;
}